# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'whoisxmlapi/version'

Gem::Specification.new do |spec|
  spec.name          = "whoisxmlapi"
  spec.version       = WhoisXMLAPI::VERSION
  spec.authors       = ["David Hillard", "Matt Appel", "Chip Roberson", "Edgar Abadines"]
  spec.email         = ["dhillard@brandle.net", "mappel@brandle.net", "chip@brandle.net", "ed@brandle.net"]
  spec.description   = %q{Gem for accessing the Whois XML API via JSON, with caching}
  spec.summary       = %q{whoisxmlapi.com access}
  spec.homepage      = "http://brandle.net/"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency "activesupport", "~> 5.2"
  spec.add_dependency "mongoid", "~> 7.0"
  spec.add_dependency "httparty", "~> 0.17"
  spec.add_dependency "public_suffix", "~> 3.1"

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake"
end
